local StoneGateV6 = ...

-- Register all stone gate set building parts and their properties
StoneGateV6:dofile("scripts/basicSmallGate.lua")
StoneGateV6:dofile("scripts/hoarding.lua")
StoneGateV6:dofile("scripts/machicolation.lua")
StoneGateV6:dofile("scripts/basicCircularTower.lua")

-- Register the stone gate set monument
StoneGateV6:override({
    Id = "STONE_GATE_V5_MONUMENT",
    BuildingPartSetList = {
                Action = "APPEND",
		{
			Name = "STONE_GATE_V6_SGATE_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V6_SGATE_ROOT_PART",
		            "STONE_GATE_V6_SGATE_EXT_ROOT_PART",
		            "STONE_GATE_V6_SGATE_HALF_ROOF_PART",
		            "STONE_GATE_V6_SGATE_ROOTP_PART",
		            "STONE_GATE_V6_SGATE_EXT_ROOTP_PART",
		            "STONE_GATE_V6_SGATE_HALF_ROOFP_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_A_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_CLOSING_L_PART",
		            "STONE_GATE_V6_SGATE_RAMPART_CLOSING_R_PART"
                        }
                },
		{
			Name = "STONE_GATE_V6_CIRCULAR_PARTSETLIST_NAME",
	                BuildingPartList = {
		            "STONE_GATE_V6_CIRCULAR_ROOT_PART",  -- with stone floor
		            "STONE_GATE_V6_CIRCULAR_ROOTB_PART", -- with wooden floor
		            "STONE_GATE_V6_CIRCULAR_ROOF_PART",
		            "STONE_GATE_V6_CIRCULAR_RAMPART_PART",
		            "STONE_GATE_V6_CIRCULAR_MACHICOLATION_A_PART",
		            "STONE_GATE_V6_CIRCULAR_MACHICOLATION_B_PART",
		            "STONE_GATE_V6_CIRCULAR_HOARDING_PART"
                        }
                }
    }
})
